%{!?upstream_version: %global upstream_version %{commit}}
%define upstream_name puppetlabs-java
%global commit 2b0bd48cb5140c49501e90387a4a8ea9268fd681
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git


Name:           puppet-java
Version:        1.6.0
Release:        3.1%{?alphatag}%{?dist}
Summary:        Installs the correct Java package on various platforms.
License:        Apache-2.0

URL:            https://github.com/puppetlabs/puppetlabs-java

Source0:        http://github.com/puppetlabs/%{upstream_name}/archive/%{commit}.tar.gz#/%{upstream_name}-%{shortcommit}.tar.gz

#
#patches_base=2b0bd48cb5140c49501e90387a4a8ea9268fd681
#
Patch0001: 0001-Allow-targeting-specific-major-minor-Oracle-JDK-vers.patch
Patch0002: 0002-MODULES-2971-Add-java_home-to-all-operating-systems.patch
Patch0003: 0003-Change-file-resource-to-exec.patch
Patch0004: 0004-Add-unless-clause-to-exec.patch
Patch0005: 0005-Update-config.pp.patch
Patch0006: 0006-Update-documentation-about-parameters-major_version-.patch
Patch0007: 0007-Update-modulesync_config-51f469d.patch
Patch0008: 0008-ci-fix-for-install_spec.patch
Patch0009: 0009-Change-exec-to-file_line.patch
Patch0010: 0010-Fix-naming-of-version_major-and-version_minor-parame.patch

BuildArch:      noarch

Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Installs the correct Java package on various platforms.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/java/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/java/



%files
%{_datadir}/openstack-puppet/modules/java/


%changelog
* Mon Oct 24 2016 Jon Schlueter <jschluet@redhat.com> 1.6.0-3.1
- Fix naming of version_major and version_minor parameters in documentation.

* Thu Oct 20 2016 Jon Schlueter <jschluet@redhat.com> 1.6.0-3.2a8236egit
- Change exec to file_line
- ci fix for install_spec
- Update modulesync_config [51f469d]
- Update documentation about parameters major_version and minor_version
- Update config.pp
- Add unless clause to exec
- Change file resource to exec
- (MODULES-2971) Add java_home to all operating systems

* Fri Oct 14 2016 Jon Schlueter <jschluet@redhat.com> 1.6.0-2.2b0bd48git
- Allow targeting specific major/minor Oracle JDK versions (#192)

* Wed Sep 21 2016 Haikel Guemar <hguemar@fedoraproject.org> - 1.6.0-1.2b0bd48.git
- Newton update 1.6.0 (2b0bd48cb5140c49501e90387a4a8ea9268fd681)


